Get workbook list by ids
Returns workbooks by their IDs.
Request
POST
https://api.datalens.tech/rpc/getWorkbooksByIds
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"workbookIds": [
"example"
]
}
|
Name |
Description |
|
workbookIds |
Type: string[] IDs of the workbooks to retrieve. Min items: Max items: Example
|
Responses
200 OK
Response
Body
application/json
[
{
"workbookId": "example",
"collectionId": "example",
"title": "example",
"description": "example",
"tenantId": "example",
"meta": {
"importId": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"status": "creating"
}
]
Type: Workbook[]
Workbook
|
Name |
Description |
||||
|
collectionId |
Type: string | null ID of the collection the workbook belongs to. Example: |
||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||
|
createdBy |
Type: string ID of the user who created the workbook. Example: |
||||
|
description |
Type: string | null Description of the workbook. Example: |
||||
|
meta |
All of 2 types
Metadata associated with the workbook. Example
|
||||
|
tenantId |
Type: string ID of the DataLens tenant. Example: |
||||
|
title |
Type: string Title of the workbook. Example: |
||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||
|
updatedBy |
Type: string ID of the user who last updated the workbook. Example: |
||||
|
workbookId |
Type: string Unique identifier of the workbook. Example: |
||||
|
status |
Type: string Status of the workbook. Enum: |
Example
{
"workbookId": "example",
"collectionId": "example",
"title": "example",
"description": "example",
"tenantId": "example",
"meta": {
"importId": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"status": "creating"
}